'use client';

import React, { FC } from 'react';
import { Modal } from 'antd';
import { CloseOutlined } from '@ant-design/icons';
import Link from 'next/link';

type DeleteAccountModalProps = {
    open: boolean;
    handleCancel: () => void;
};

export const DeleteAccountModal: FC<DeleteAccountModalProps> = ({
    open,
    handleCancel
}) => (
    <Modal
        className="b-modal"
        open={open}
        title="Account deletion instructions"
        onOk={undefined}
        onCancel={handleCancel}
        footer={false}
        width={498}
        closeIcon={<CloseOutlined style={{ fontSize: 20, color: '#000' }}/>}
    >
        <div className="b-modal__content">
            <p>
                To delete your BBUDDY account, please send an email requesting account deletion to the following email address:
            </p>
            <Link href="mailto:info@bbuddy.expert">info@bbuddy.expert</Link>
            <p>
                Upon receiving the request, we will delete all existing data associated with your account within 24 hours.
            </p>
        </div>
    </Modal>
);
